set_property IOSTANDARD DIFF_HSUL_12 [get_ports {TXCLK_P[0]}]
set_property IOSTANDARD DIFF_HSUL_12 [get_ports RXCLK_P]
set_property PACKAGE_PIN U12 [get_ports {TXCLK_P[0]}]
set_property PACKAGE_PIN V12 [get_ports {TXCLK_N[0]}]
set_property PACKAGE_PIN J17 [get_ports {RX09_P[0]}]
set_property PACKAGE_PIN J18 [get_ports {RX09_N[0]}]
set_property PACKAGE_PIN E15 [get_ports {RX24_P[0]}]
set_property PACKAGE_PIN E16 [get_ports {RX24_N[0]}]
set_property PACKAGE_PIN D15 [get_ports RXCLK_P]
set_property PACKAGE_PIN C15 [get_ports RXCLK_N]

create_clock -period 15.625 -name RXCLK_P -waveform {0.000 7.813} [get_ports RXCLK_P]
create_clock -period 62.500 -name VIRTUAL_selectio_wiz_0_clk_div_out1 -waveform {0.000 31.250}
set_input_delay -clock [get_clocks RXCLK_P] -clock_fall -min -add_delay 1.500 [get_ports {RX09_N[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -clock_fall -max -add_delay 4.100 [get_ports {RX09_N[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -min -add_delay 1.500 [get_ports {RX09_N[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -max -add_delay 4.100 [get_ports {RX09_N[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -clock_fall -min -add_delay 1.500 [get_ports {RX09_P[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -clock_fall -max -add_delay 4.100 [get_ports {RX09_P[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -min -add_delay 1.500 [get_ports {RX09_P[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -max -add_delay 4.100 [get_ports {RX09_P[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -clock_fall -min -add_delay 1.500 [get_ports {RX24_N[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -clock_fall -max -add_delay 4.100 [get_ports {RX24_N[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -min -add_delay 1.500 [get_ports {RX24_N[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -max -add_delay 4.100 [get_ports {RX24_N[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -clock_fall -min -add_delay 1.500 [get_ports {RX24_P[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -clock_fall -max -add_delay 4.100 [get_ports {RX24_P[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -min -add_delay 1.500 [get_ports {RX24_P[0]}]
set_input_delay -clock [get_clocks RXCLK_P] -max -add_delay 4.100 [get_ports {RX24_P[0]}]
set_output_delay -clock [get_clocks VIRTUAL_selectio_wiz_0_clk_div_out1] -clock_fall -min -add_delay -2.000 [get_ports {TXD_N[0]}]
set_output_delay -clock [get_clocks VIRTUAL_selectio_wiz_0_clk_div_out1] -clock_fall -max -add_delay 3.000 [get_ports {TXD_N[0]}]
set_output_delay -clock [get_clocks VIRTUAL_selectio_wiz_0_clk_div_out1] -min -add_delay -2.000 [get_ports {TXD_N[0]}]
set_output_delay -clock [get_clocks VIRTUAL_selectio_wiz_0_clk_div_out1] -max -add_delay 3.000 [get_ports {TXD_N[0]}]
set_output_delay -clock [get_clocks VIRTUAL_selectio_wiz_0_clk_div_out1] -clock_fall -min -add_delay -2.000 [get_ports {TXD_P[0]}]
set_output_delay -clock [get_clocks VIRTUAL_selectio_wiz_0_clk_div_out1] -clock_fall -max -add_delay 3.000 [get_ports {TXD_P[0]}]
set_output_delay -clock [get_clocks VIRTUAL_selectio_wiz_0_clk_div_out1] -min -add_delay -2.000 [get_ports {TXD_P[0]}]
set_output_delay -clock [get_clocks VIRTUAL_selectio_wiz_0_clk_div_out1] -max -add_delay 3.000 [get_ports {TXD_P[0]}]



set_property PACKAGE_PIN V10 [get_ports {TXD_P[0]}]
set_property PACKAGE_PIN V11 [get_ports {TXD_N[0]}]
set_property C_CLK_INPUT_FREQ_HZ 300000000 [get_debug_cores dbg_hub]
set_property C_ENABLE_CLK_DIVIDER false [get_debug_cores dbg_hub]
set_property C_USER_SCAN_CHAIN 1 [get_debug_cores dbg_hub]
connect_debug_port dbg_hub/clk [get_nets clk]
